Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.itemgenerator.gui.actions
Class ItemSelectionAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.swing.TreeSelectionAction
              de.jsystems.itemgenerator.gui.actions.ItemSelectionAction

All Implemented Interfaces:
  EventListener, TreeSelectionListener

public class ItemSelectionAction
extends TreeSelectionAction

Diese Action reagiert auf Mausklicks innerhalb des Trees. Bei einem Klick auf einen der Eintraege im Baum wird dann die entsprechende Maske angezeigt.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`ItemSelectionAction()`

Method Summary
`void` | `doValueChanged(TreeSelectionEvent tse)` Wird aufgerufen, sobald ein Eintrag im Baum ausgew�hlt wurde.

Methods inherited from class de.jsystems.framework.common.action.swing.TreeSelectionAction
`valueChanged`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemSelectionAction

    public ItemSelectionAction()

Method Detail

### doValueChanged

    public void doValueChanged(TreeSelectionEvent tse)
                        throws Exception

  Wird aufgerufen, sobald ein Eintrag im Baum ausgew�hlt wurde.

  Parameters:
    `tse` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD